Last Comment Bug 29871 - Custom searches via Addressbar
: Custom searches via Addressbar
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Search (show other bugs)
: Trunk
: All All
: P3 enhancement (vote)
: ---
Assigned To: Robert John Churchill
: Claudius Gayle
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-01 16:39 PST by Bart Szyszka
Modified: 2008-07-31 01:19 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Bart Szyszka 2000-03-01 16:39:39 PST
MSIE 4.0 and up with the QuickSearch add-on (comes with Browser Enhancements 
option for MSIE5 I believe) has a feature that I absolutely can't live with 
out. Basically, what it lets you do is add custom searching capabilities to the 
Address bar.

What I do is assign a 2-3 letter combination for a search. For example, I 
did 'goo' for the Google.com search. Then you enter the URL with %s where you 
want the keywords to be plugged in. For Google, I have:
http://www.google.com/search?q=%s

So when I type the following in the address bar:
goo Mozilla Project

It will load this URL:
http://www.google.com/search?q=Mozilla Project

(it'll also convert the space to %20 too)

This is extremely useful because all I have to do is figure out how a search 
engine organizes its search string and I can add anything to the Address bar 
for easy searching.

For the W3C Validator, I have this with a w3 assigned to it:
http://validator.w3.org/check?uri=%s&ss=

And all I have to do is add a w3 in front of an URL to have it be validated.

For Dictionary.com, I have:
http://www.dictionary.com/cgi-bin/dict.pl?term=%s

And then all I need to do is type:
dc A_WORD_I_DO_NOT_KNOW

in the Address bar to find a word quickly. This feature should be extremely 
easy to add, so I'm crossing my fingures that you'll add it. At least the 
ability to have this feature and add more searches by editing a text file if it 
would be too time-consuming to add a dialog box for easily adding new entries. 
Please consider adding this as Microsoft doesn't seem to have any interest to 
develop MSIE for Linux while I'm loosing interest in Windows.

* Thanks
Comment 1 Doron Rosenberg (IBM) 2000-03-07 10:50:30 PST
moving to search component
Comment 2 Claudius Gayle 2000-03-07 17:54:45 PST
over to rjc. I know our search is already way better but there is some interesting stuff here that you might consider(if you haven't 
already)
Comment 3 Robert John Churchill 2000-04-04 21:08:37 PDT
You can now bookmark a URL with "%s" in it, such as:
    http://www.google.com/search?q=%s
and then assign it a "Custom Keyword", such as:
    goo
and they you'll be able to type into the location bar such as:
    goo Mozilla Project
which will resolve to:
    http://www.google.com/search?q=Mozilla%20Project
Comment 4 Claudius Gayle 2000-04-05 13:45:03 PDT
nice feature. verified with the 2000040509 builds
Comment 5 Asa Dotzler [:asa] 2000-04-05 15:29:04 PDT
ooohh, I'm going to set it up to take bugzilla bug #s :)

Note You need to log in before you can comment on or make changes to this bug.